package config

var (
	RedisURL   string
	RedisTag   string
	Prefix     string
	Url        string
	RedisUrl   string
	DriverName string
	DbURL      string
	EsHost     []string
)

var ProxyConf = struct {
	MeshId string  `json:"meshId"`
	Url    string  `json:"url"`
	Method string  `json:"method"`
	Params []Param `json:"params"`
}{}

type Param struct {
	Name  string `json:"name"`
	Value string `json:"value"`
}

const LocalDateTimeFormat string = "2006-01-02 15:04:05"
const LocalDateTimeFormatStr string = "20060102150405"
const LocalTimeFormat string = "15:04"
const LocalDateFormat string = "2006-01-02"
